Subject: Why doesn't a train stop after seeing a bus or car stuck on the railway crossing?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Mon, 01 Feb 2021 11:07:11 +0000

Algaily's Digest
Your Quora Digest

-----

Question: Why doesn't a train stop after seeing a bus or car stuck on the railway crossing?

Answer from Namakkal Raghavendran

The public don’t have an idea how much distance a train travels to a dead stop after the emergency brakes are applied. An express train with 21 coaches, fully air braked, will
Read More: http://www.quora.com/Why-doesnt-a-train-stop-after-seeing-a-bus-or-car-stuck-on-the-railway-crossing?top_ans=82217215
-----
Question: How will permanent work from home impact IT cities like Bangalore and Pune?

Answer from Prasanna Bhalerao

I work in IT in a medium sized IT company. I would first like to clear some misconceptions. Way back in May or June, TCS proudly declared that they will move 85% of the workfo
Read More: http://www.quora.com/How-will-permanent-work-from-home-impact-IT-cities-like-Bangalore-and-Pune?top_ans=252748798
-----
Question: Will the BJP sweep Bengal in the 2021 election?

Answer from Sharath Chandra Gutta (శరత్ చంద్ర గుత్తా)

Bengal is politically divided into three different factions. With the exception of some very small parties here and there, the electoral fight would be between Trinamool Congr
Read More: http://www.quora.com/Will-the-BJP-sweep-Bengal-in-the-2021-election?top_ans=257001355
-----
Question: If someone is deported from United States, can they move to the United Kingdom instead of going back to their country of origin?

Answer from Matt Pickering

Deportation is a not a free airline ticket to a destination of your choice. You are being thrown out of the United States at taxpayer expense and they want to make sure you ar
Read More: http://www.quora.com/If-someone-is-deported-from-United-States-can-they-move-to-the-United-Kingdom-instead-of-going-back-to-their-country-of-origin?top_ans=254648950
-----
Question: It's been 2.5 years in TCS working in robotics (EC) domain, yet my salary is no more than 30k pm (max, wid quarterly bonus). I hv started feeling financially stagnant as there seems a better financial growth outside TCS in Robotics. What should I do?

Answer from Namrata Sinha

I have worked for almost 5years in TCS and based on my experience I would suggest you to look jobs outside.

I worked really hard there but the hike I received except for the 
Read More: http://www.quora.com/Its-been-2-5-years-in-TCS-working-in-robotics-EC-domain-yet-my-salary-is-no-more-than-30k-pm-max-wid-quarterly-bonus-I-hv-started-feeling-financially-stagnant-as-there-seems-a-better-financial-growth-outside-TCS-in?top_ans=228327883
-----
Question: How is life as an NRI in Dubai?

Answer from Sandeep Mehta

There are four types of NRI in Dubai.

1. POOR LABOUR CLASS NRI with low salaries and lot of work with life rotating around physical hard work and then go to shared room with 
Read More: http://www.quora.com/How-is-life-as-an-NRI-in-Dubai?top_ans=37102098
-----
Question: Why did Modi and Amit Shah magic not work in the Delhi Assembly Election 2020?

Answer from Rajagopalan K Suryanarayan

Modi and Shah's magic did not work in Delhi because of two important issues which they failed to grasp or failed to produce a suitable answers.

Kejriwal has taken up very sim
Read More: http://www.quora.com/Why-did-Modi-and-Amit-Shah-magic-not-work-in-the-Delhi-Assembly-Election-2020?top_ans=197386105
-----
Question: My e-Filing is done, but I missed sending the ITR-V by post. What should I do now?

Answer from Quicko

Hey,

As per the law, you have to send the ITR-V physically by post to CPC Banglore within 120 days from the day you have filed the return. In case of failure, after 120 days,
Read More: http://www.quora.com/My-e-Filing-is-done-but-I-missed-sending-the-ITR-V-by-post-What-should-I-do-now?top_ans=197194869
-----
Question: What is the top salary someone you know is making in India?

Answer from Abhishek Mishra

Though I have seen a lot of high salaries in India. But in my circle I know one of my friends is earning around INR 1 crore per annum on a 10-year experience. He is just earni
Read More: http://www.quora.com/What-is-the-top-salary-someone-you-know-is-making-in-India?top_ans=250409932
-----
Question: How did you reach a scale 3 manager in SBI Bank?

Answer from Mahi Pawar

Short and simple:

Started as PO, After 4 years appeared for scale 2exam, cleared it, appeared in Interview for scale2 and finally selected as scale 2.

After 2 years and 6 mo
Read More: http://www.quora.com/How-did-you-reach-a-scale-3-manager-in-SBI-Bank?top_ans=253272148
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&id=5a11ffcfcdb643ea97de83551b0dc27f

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=5a11ffcfcdb643ea97de83551b0dc27f&t=1612177630189157&token=14b1b22b17a144e643e979359eb60f9aa30701975aad5df661de275510eb3b0634304509b0fee85b227835a6767f6a9b67eeafea4fdb8a5330bfcd33e7e84f1e&type=2&uid=1229773278